using LiteNetLib;

namespace Syntriax.Engine.Network;

public record class LiteNetLibConnection(NetPeer NetPeer) : IConnection
{
    public string Id { get; } = NetPeer.Id.ToString();
    public float Ping => NetPeer.Ping * .001f;
    public float RoundTrip => NetPeer.RoundTripTime * .001f;

    public override string ToString() => $"Client({Id})";
}
